{% extends "layout.html" %}
{% block body %}
<form action="{{ url_for('entry.get_isbn') }}" method=post class=get-isbn>
    <div class="form-group col-sm-6">
        <p>ISBNコードを入力して書籍参照のうえ登録をお願いします。</p>
    </div>
    <div class="form-group col-sm-3">
        <label for="GetIsbn">ISBNコード</label>
        <input type="number" pattern="\d*" class="form-control" id="GetIsbn" name=getisbn value="9784" required>
    </div>
    <div class="form-group col-sm-2">
        <button type="submit" class="btn btn-primary">書籍参照</button>
    </div>
    <hr/>
</form>

<form action="{{ url_for('entry.add_entry') }}" method=post class=add-entry>
    <div class="form-group col-sm-7">
        {% if thumbnailvalue == "" %}
        <img width=120 src="/static/noimage.jpg"</img>
        {% else %}
        <img src='{{ thumbnailvalue }}'>
        {% endif %}
    </div>
    <div class="form-group col-sm-7">
        <label for="InputTitle">書籍名(必須項目)</label>
        <input type="text" class="form-control" id="InputTitle" name=title value="{{ titlevalue }}" required>
    </div>
    <div class="form-group col-sm-7">
        <label for="InputDescription">概要</label>
        <textarea class="form-control" id="InputDescription" name=description rows="4">{{ descriptionvalue }}</textarea>
    </div>

    <div class="form-group col-sm-2">
        <label for="InputPublisher">発行者</label>
        <input type="text" class="form-control" id="InputPublisher" name=publisher value="{{ publishervalue }}">
    </div>
    <div class="form-group col-sm-2">
        <label for="InputPublisheddate">発行日</label>
        <input type="text" class="form-control" id="InputPublishedDate" name=publisheddate value="{{ publisheddatevalue }}">
    </div>
    <div class="form-group col-sm-2">
        <label for="InputIdentifier10">ISBN-10</label>
        <input type="text" class="form-control" id="InputIdentifier10" name=identifier10 value="{{ identifier10value }}">
    </div>
    <div class="form-group col-sm-2">
        <label for="InputIdentifier13">ISBN-13</label>
        <input type="text" class="form-control" id="InputIdentifier13" name=identifier13 value="{{ identifier13value }}">
    </div>
    <div class="form-group col-sm-2">
        <label for="tanto">担当者</label>
        <input type="text" class="form-control" id="tanto" name=tanto>
    </div>
    <div class="form-group col-sm-2">
        <label for="hokan">保管場所</label>
        <select class="form-control" id="hokan" name=hokan>
            <option>書籍棚</option>
            <option>自席</option>
            <option>その他</option>
        </select>
    </div>
    <div class="form-group col-sm-7">
        <label for="memo">メモ</label>
        <textarea class="form-control" id="memo" name=memo rows="4"></textarea>
    </div>
    <div class="form-group col-sm-7">
        <label for="InputThumbnail">サムネイル</label>
        <input type="text" class="form-control" id="InputThumbnail" name=thumbnail value="{{ thumbnailvalue }}">
    </div>
    <div class="form-group col-sm-7">
        <label for="InputPreviewlink">プレビュー</label>
        <input type="text" class="form-control" id="InputPreviewLink" name=previewlink value="{{ previewlinkvalue }}">
    </div>
    <div class="form-group col-sm-2">
        <button type="submit" class="btn btn-primary">登録</button>
    </div>
</form>

{% endblock %}
